Skyline 4.2 installation

support
I have this really basic issue with installing the Skyline 4.2 in my PC laptop that is running Windows 10 home edition. The 4.1.0 edition used to work fine but now that the data are generated in Skyline 4.2, I am unable to install it. The installation starts and then I get the error message that is something to do with the Microsoft.NET framework. I could not easily update the .NET framework also.
 
On the other hand, I was able to update to Skyline 4.2 easily in a Windows desktop running Windows 7. You might have heard from others who have similar issues. can you please let me know how to resolve this issue? I use Mac for everything and have a Windows laptop just  for running the Skyline.